it-swarm-ja.com

前のリリースからPPAを追加するにはどうすればよいですか?

breakindentパッチを適用したvim を取得しようとしていましたが、Quantalからのみ利用でき、Raringを実行しています。前のリリースからPPAを強制インストールする方法はありますか?すべてのパッケージを手動でダウンロードしてSudo dpkg -iを実行しようとしましたが、依存関係について多くのエラーが発生しましたが、それらのいくつかは解決できないようです。 vimを自分でコンパイルする必要がありますか?

14
Jonathan

変更 in ソフトウェアと更新> その他のソフトウェア fromraringquantal分布に。

other software

12
Radu Rădeanu

リポジトリを追加した後、配布を手動で変更することができます。

$ cat /etc/apt/sources.list.d/eudoxos-vim-breakindent-<version>.list 
deb http://ppa.launchpad.net/eudoxos/vim-breakindent/ubuntu <version> main
deb-src http://ppa.launchpad.net/eudoxos/vim-breakindent/ubuntu <version> main

そのため、これらのエントリの<version>quantalに置き換えて、Sudo apt-get updateを実行します。動作する保証はありませんが、動作しない場合は、カンジを元に戻すか、PPAを削除できます。

8
Salem